#pragma once
#include <map>
struct M_ActivityDoubleElevenRechargeData
{
	//ID
	int mID;
	//描述
	std::string mDesc;
	//充值金额
	int mCondition;
	//道具ID
	std::vector<int> mItemID;
	//道具数量
	std::vector<int> mItemCount;
};

class M_ActivityDoubleElevenRecharge
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenRecharge> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenRechargeData* GetData(int ID);
	const std::map<int, M_ActivityDoubleElevenRechargeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDoubleElevenRecharge* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDoubleElevenRechargeData> mMapData;
};
